Reference for Processing version 1.5. If you have a previous version, use the reference included with your software. If you see any errors or have suggestions, please let us know. If you prefer a more technical reference, visit the Processing Javadoc.

Name

### mouseClicked()

Examples

    // Click within the image to change
    // the value of the rectangle after
    // after the mouse has been clicked

    int value = 0;

    void draw() {
      fill(value);
      rect(25, 25, 50, 50);
    }

    void mouseClicked() {
      if(value == 0) {
        value = 255;
      } else {
        value = 0;
      }
    }

Description | The mouseClicked() function is called once after a mouse button has been pressed and then released.

Syntax

    mouseClicked()

Returns | None
Usage | Web & Application
Related | mouseX mouseY mouseButton mousePressed mouseReleased() mouseMoved() mouseDragged()

Updated on August 30, 2010 04:29:39pm EDT